Bug 242771 - Parted man page should list label types for flags
Summary: Parted man page should list label types for flags
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: parted   
(Show other bugs)
Version: 5.0
Hardware: All Linux
low
low
Target Milestone: ---
: ---
Assignee: David Cantrell
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 246258
TreeView+ depends on / blocked
 
Reported: 2007-06-05 18:49 UTC by Bryn M. Reeves
Modified: 2018-10-19 23:37 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0322
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 16:55:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add partition table types to man page flags description (600 bytes, patch)
2007-06-05 18:49 UTC, Bryn M. Reeves
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0322 normal SHIPPED_LIVE parted bug fix update 2008-05-20 13:21:04 UTC

Description Bryn M. Reeves 2007-06-05 18:49:58 UTC
Description of problem:
The parted manual page lists the available partition flags as the options to the
set command:

set partition flag state
    change the state of the flag on partition to state. Flags supported are:
    "boot", "root", "swap", "hidden", "raid", "lvm", "lba" and "palo".
    state should be either "on" or "off"

In the info docs, the type of partition table / disk label that the flag applies
to is also listed:

 -- Command: set NUMBER FLAG STATE
     Changes a flag on the partition with number NUMBER.  A flag can be
     either "on" or "off".  Some or all of these flags will be
     available, depending on what disk label you are using:

    `boot'
          (Mac, MS-DOS, PC98) - should be enabled if you want to boot
          off the partition.  The semantics vary between disk labels.
          For MS-DOS disk labels, only one partition can be bootable.
          If you are installing LILO on a partition that partition must
          be bootable.  For PC98 disk labels, all ext2 partitions must
          be bootable (this is enforced by Parted).

    `lba'
          (MS-DOS) - this flag can be enabled to tell MS DOS, MS
          Windows 9x and MS Windows ME based operating systems to use
          Linear (LBA) mode.
[... etc etc ...]

This can be confusing for users who only check the man page & then attempt to
apply a flag to an innapropriate partition table type.

Version-Release number of selected component (if applicable):
parted-1.8.1-6.el5

How reproducible:
100%

Steps to Reproduce:
1. Read the fine manual (man parted)
  
Actual results:
Partition flags that are specific to certain partition table types are not
listed as such.

Expected results:
Partition flags that are specific to certain partition table types are clearly
documented.

Comment 1 Bryn M. Reeves 2007-06-05 18:49:59 UTC
Created attachment 156259 [details]
add partition table types to man page flags description

Comment 2 RHEL Product and Program Management 2007-10-19 20:28:46 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 David Cantrell 2007-12-14 04:06:32 UTC
Fixed in parted-1.8.1-13.el5, moving to MODIFIED.

Comment 9 errata-xmlrpc 2008-05-21 16:55:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0322.html



Note You need to log in before you can comment on or make changes to this bug.